FormUtils (JGoodies Forms 1.6 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.util
Class FormUtils

    java.lang.Object
      com.jgoodies.forms.util.FormUtils

    public final class FormUtils

extends Object

A library-internal class that consists only of static utility methods. Note: This class is not part of the public Forms API. It's intended for library implementation purposes only. The class's API may change at any time.

Since:
  1.2
Version:
  $Revision: 1.14 $
Author:
  Karsten Lentzsch

Method Summary
`static void` | `clearLookAndFeelBasedCaches()` Clears cached internal Forms state that is based on the Look&Feel, for example dialog base units.
`static boolean` | `isLafAqua()` Lazily checks and answers whether the Aqua look&feel is active.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isLafAqua

    public static boolean isLafAqua()

  Lazily checks and answers whether the Aqua look&feel is active.

  Returns:
    `true` if the current look&feel is Aqua

### clearLookAndFeelBasedCaches

    public static void clearLookAndFeelBasedCaches()

  Clears cached internal Forms state that is based on the Look&Feel, for example dialog base units.

  There's typically no need to call this method directly. It'll be invoked automatically, if the L&F has been changed via `UIManager.setLookAndFeel(javax.swing.LookAndFeel)` and cached data is requested. It's been made public to allow cache invalidation for cases where the L&F is changed temporarily by replacing the UIDefaults, for example in a visual editor.

  Since:
    1.2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 JGoodies Karsten Lentzsch. All Rights Reserved.